<?php
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['compras']==1)
{
//Incluímos el archivo Ingreso.php
require('Ingreso.php');

//Establecemos los datos de la empresa
$logo = "logo.jpg";
$ext_logo = "jpg";
$empresa = "Consettur Machupicchu S.A.C.";
$documento = "Oficina de Logistica";
$direccion = " Compras";
$telefono = "Cusco";
$email = "compras@consettur.com";

//Obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Ingreso.php";
$ingreso= new Ingreso();
$rsptav = $ingreso->ingresocabecera($_GET["id"]);
//Recorremos todos los valores obtenidos
$regv = $rsptav->fetch_object();

//Establecemos la configuración de la factura
$pdf = new PDF_Invoice( 'P', 'mm', 'A4' );
$pdf->AddPage();

//Enviamos los datos de la empresa al método addSociete de la clase Factura
$pdf->addSociete(utf8_decode($empresa),
                  $documento."\n" .
                  utf8_decode("Area: ").utf8_decode($direccion)."\n".
                  utf8_decode("Sede: ").$telefono."\n" .
                  "Email : ".$email,$logo,$ext_logo);
//$pdf->fact_dev( "$regv->tipo_comprobante ", "$regv->serie_comprobante-$regv->num_comprobante" );
$pdf->fact_dev( "Resumen de Compra ", "# 00$regv->idingreso" );
$pdf->temporaire( "" );
$pdf->addDate( $regv->fecha);
$pdf->addDate( $regv->nick);

//Enviamos los datos del cliente al método addClientAdresse de la clase Factura
$pdf->addClientAdresse(utf8_decode($regv->proveedor),"Domicilio: ".utf8_decode($regv->direccion),$regv->tipo_documento.": ".$regv->num_documento,"Email: ".$regv->email,"Telefono: ".$regv->telefono);

//Enviamos los datos del cliente al método addClientAdresse1 de la clase seguimiento
$pdf->addClientAdresse1("Requerimiento: ".utf8_decode($regv->n_req."  /  ".$regv->f_req),"Orden de Compra: ".utf8_decode($regv->n_oc."  /  ".$regv->f_oc),"Comprobante: ".utf8_decode($regv->tipo_comprobante."  ".$regv->serie_comprobante."-".$regv->num_comprobante." / ".$regv->fecha),"Responsable de compra: ".$regv->r_compra,"Guia de remision: ".utf8_decode($regv->n_guia."  /  ".$regv->f_guia));

//Enviamos los datos del cliente al método addClientAdresse1 de la clase seguimiento
$pdf->addFirma("Requerimiento: ".utf8_decode($regv->n_req."  /  ".$regv->f_req),"Orden de Compra: ".utf8_decode($regv->n_oc."  /  ".$regv->f_oc),"Comprobante: ".utf8_decode($regv->tipo_comprobante."  ".$regv->serie_comprobante."-".$regv->num_comprobante." / ".$regv->fecha),"Responsable de compra: ".$regv->r_compra,"Guia de remision: ".utf8_decode($regv->n_guia."  /  ".$regv->f_guia));

//Enviamos los datos del tramite de la clase Factura
//$pdf->addDatosCompra("Responsable de compra: ".utf8_decode($regv->r_compra),"Comprobante: ".utf8_decode($regv->tipo_comprobante),$regv->serie_comprobante.": ".$regv->num_comprobante,"Orden de Compra: ".$regv->f_req,"Telefono: ".$regv->n_req);

//Establecemos las columnas que va a tener la sección donde mostramos los detalles de la venta
$cols=array( "CODIGO"=>18,
             "DESCRIPCION"=>100,
             "CANT."=>15,
             "P.C."=>18,
             "P.V."=>18,
             "S. TOTAL"=>21);
$pdf->addCols( $cols);
$cols=array( "CODIGO"=>"C",
             "DESCRIPCION"=>"L",
             "CANT."=>"C",
             "P.C."=>"R",
             "P.V." =>"R",
             "S. TOTAL"=>"C");
$pdf->addLineFormat( $cols);
$pdf->addLineFormat($cols);
//Actualizamos el valor de la coordenada "y", que será la ubicación desde donde empezaremos a mostrar los datos
$y= 89;

//Obtenemos todos los detalles de la venta actual
$rsptad = $ingreso->ingresodetalle($_GET["id"]);

while ($regd = $rsptad->fetch_object()) {
  $line = array( "CODIGO"=> "$regd->codigo",
                "DESCRIPCION"=> utf8_decode("$regd->articulo"),
                "CANT."=> "$regd->cantidad",
                "P.C."=> "$regd->precio_compra",
                "P.V." => "$regd->precio_venta",
                "S. TOTAL"=> "$regd->subtotal");
            $size = $pdf->addLine( $y, $line );
            $y   += $size + 2;
}

//Convertimos el total en letras
require_once "Letras.php";
$V=new EnLetras(); 
$con_letra=strtoupper($V->ValorEnLetras($regv->total_compra,"SOLES con"));
$pdf->addCadreTVAs("-----------------".$con_letra);

//Mostramos el impuesto
$pdf->addTVAs( $regv->impuesto, $regv->total_compra,"S/ ");
$pdf->addCadreEurosFrancs("IGV"." $regv->impuesto %");
$pdf->Output('Reporte de Ingreso','I');


}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>